#
# Spec file for X-Cd-Roast 0.96d
#
# Note:  Some of the stuff from this spec file came from somewhere 
# Thank you whoever you are.
#
Summary:  A GUI program for burning CDs.
Name:   xcdroast
Version:  0.96d
Release:  1
Copyright:  GPL
Group:  Applications/Publishing
Source:  http://www.fh-muenchen.de/home/ze/rz/services/projects/xcdroast/src/xcdroast-0.96d-beta2.tar.gz
URL:   http://www.fh-muenchen.de/home/ze/rz/services/projects/xcdroast/
Vendor:  Bernd Zierath 
Packager:  Bernd Zierath <zierath@zierath.muc.de>
BuildRoot: /tmp/xcdroast-root

%description
Frontend for CD mastering programs.
Features:
     Self-explanitory X11 user interface. 
     Automatic SCSI-hardware setup 
     Copies of ISO9660-CDs and some non-ISO9660-CDs
     Production of new ISO9660 data CDs ("mastering") 
     Production of new audio CDs 
     Fast copying of CDs without hardisk buffering 
     Logfile option 

%prep
%setup
rm -Rf $RPM_BUILD_ROOT

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefixdir /usr

make 

%install
rm -rf $RPM_BUILD_ROOT	

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc/xcdroast-0.96d
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/lib/xcdroast-0.96d/{bin,logo,sound}
      
install -m 755 xcdroast $RPM_BUILD_ROOT/usr/bin
cp -r lib/* $RPM_BUILD_ROOT/usr/lib/xcdroast-0.96d
      
cp MAKEDEVICES.sh COPYING Changes TODO README.Compile README.html xcdroast-0.96d.lsm $RPM_BUILD_ROOT/usr/doc/xcdroast-0.96d
install -m 644 xcdroast.1 $RPM_BUILD_ROOT/usr/man/man1/xcdroast.1
     
      
%files
%attr(-,root,root) 
%doc /usr/doc/xcdroast-0.96d
/usr/lib/xcdroast-0.96d
/usr/bin/xcdroast
/usr/man/man1/xcdroast.1
